#!/usr/bin/env python3

hónapok_napjai = [31,28,31,30,31,30,31,31,30,31,30,31]

# egyszerű megoldás
if 28 in hónapok_napjai:
    print('Van 28 napos hónap.')
else:
    print('Nem találtunk 28 napos hónapot.')    
# egyszerű megoldás, a print belsejében az eldöntésel
print('Van 28 napos hónap.' if 28 in hónapok_napjai else 'Nem találtunk 28 napos hónapot.')

# mindig használható megoldások
#  elöltesztelõ ciklussal
van_28 = False
index = 0
hossz = len(hónapok_napjai)
while index < hossz and not van_28:
    if hónapok_napjai[index] == 28:
        van_28 = True
    index += 1
if van_28:
    print('Van 28 napos hónap.')
else:
    print('Nem találtunk 28 napos hónapot.')

#  elöltesztelõ ciklussal, logikai kifejezést használva értékadáskor
van_28 = False
index = 0
while index < len(hónapok_napjai) and not van_28:
    van_28 = hónapok_napjai[index] == 28
    index += 1
if van_28:
    print('Van 28 napos hónap.')
else:
    print('Nem találtunk 28 napos hónapot.')

#  bejárós ciklussal
van_28 = False
for hónap in hónapok_napjai:
    if hónap == 28:
        van_28 = True
        break
if van_28:
    print('Van 28 napos hónap.')
else:
    print('Nem találtunk 28 napos hónapot.')

#  bejárós ciklussal, kihasználjuk a Python for-ciklusának záradékolhatóságát
for hónap in hónapok_napjai:
    if hónap == 28:
        print('Van 28 napos hónap.')
        break
else: # ez az else a for-hoz tartozik; csak akkor fut le, ha nem volt break
    print('Nem találtunk 28 napos hónapot.')
