#!/usr/bin/env python3

hónapok_napjai = [31,28,31,30,31,30,31,31,30,31,30,31]

# egyszerű megoldás:
if 28 in hónapok_napjai:
    print('A(z) ', hónapok_napjai.index(28)+1, '. hónap 28 napos.', sep='')
else:
    print('Nem találtunk 28 napos hónapot.')

# mindig használható megoldások
#  elöltesztelő ciklussal
index = 0
while index < len(hónapok_napjai) and hónapok_napjai[index] != 28:
    index += 1
if index < len(hónapok_napjai):
    print('A(z) ', index+1, '. hónap 28 napos.', sep='')
else:
    print('Nem találtunk 28 napos hónapot.')

#  bejárós ciklussal
hányadik_28 = None
for index in range(len(hónapok_napjai)):
    if hónapok_napjai[index] == 28:
        hányadik_28 = index
        break
if hányadik_28: #azaz if hányadik_28 != None
    print('A(z) ', hányadik_28 + 1, '. hónap 28 napos.', sep='')
else:
    print('Nem találtunk 28 napos hónapot.')

#  bejárós ciklussal, kihasználjuk a Python for-ciklusának záradékolhatóságát
for index, nap in enumerate(hónapok_napjai):
    if nap == 28:
        print('A(z) ', index + 1, '. hónap 28 napos.', sep='')
        break
else: # ez az else a for-hoz tartozik; csak akkor fut le, ha nem volt break
    print('Nem találtunk 28 napos hónapot.')

