#!/usr/bin/env python3

import random

def irány(régi_irány, új_irány):
    if ((új_irány - régi_irány + 360) % 360 < 180):
        return 'J'
    elif ((új_irány - régi_irány + 360) % 360 > 180):
        return 'B'
    else:
        return random.choice(['B', 'J'])

napló = []
with open('hajonaplo.txt') as forrásfájl:
   for sor in forrásfájl:
       sor = sor.strip().split('-')
       sor = list(map(int, sor))
       napló.append(sor)
       
with open('kormanyzasok.txt', 'w') as célfájl:
    for index in range(len(napló)-1):
        print(napló[index][0],
              irány(napló[index][0], napló[index+1][0]),
              napló[index+1][0],
              file = célfájl)
