#!/usr/bin/env python3

import random

class Macska:  
    def __init__(self, név, év, tömeg):
        self.név = név
        self.születési_év = év
        self.tömeg = tömeg
        self.tapasztalat = random.randint(10, 50)
        
    def nyávog(self):
        print('Nyaú!')

    def kor(self, mostani_év):
        return mostani_év - self.születési_év

    def eszik(self):
        self.tömeg += 25

    def egerészik(self):        
        egér_tapasztalata = random.randint(1, 100)
        print(self.név, 'egy', egér_tapasztalata, 'tapasztalatú egérrel próbálkozik.')
        if self.tapasztalat > egér_tapasztalata:
            print('Megfogta!')
            if self.tapasztalat < 100:
                self.tapasztalat += 1
            self.eszik()
        else:
            print('Elszaladt :(')
        
    def __str__(self):
        return self.név + ' születési éve: ' + str(self.születési_év) + \
               ', tömege: ' + str(self.tömeg) + ' g.'

cs = Macska('Csilus', 2018, 3652)
z = Macska('Zokni', 2017, 4003)

print(cs.kor(2022))

print(cs.tömeg)
cs.eszik()
print(cs.tömeg)

print(z.tömeg)
for _ in range(10):
    z.eszik()
print(z.tömeg)

for _ in range(50):
    print(z.név, 'tömege:', z.tömeg, ', tapasztalata:', z.tapasztalat)
    z.egerészik()

print('A z objektum típusa:', type(z))
szám = 5
print('Az 5 típusa:', type(szám))
szám = int(5)
print('Az int(5) típusa:', type(szám))
lista1 = [1, 2]
lista2 = list((1, 2))
print('A listák típusai:', type(lista1), type(lista2))
szótár2 = {'kulcs1': 'érték1', 'kulcs2': 'érték2'}
szótár1 = dict(kulcs1 = 'érték1', kulcs2 = 'érték2')
print('A szótárak típusai:', type(szótár1), type(szótár2))

print(z)
