﻿# A programozó egy algoritmus készítésénél a következő utasításokat használhatja:
#    J = Jobbra fordulj
#    B = Balra fordulj
#   2E = Előre két lépés (1E, 2E, 3E, 4E...)
#   3H = Hátra három lépés (1H, 2H, 3H, 4H...)
# A játékprogram valójában csak ennél is egyszerűbb utasításokat tud végrehajtani:
#    F = Felfelé egy lépés
#    L = Lefelé egy lépés
#    B = Balra egy lépés
#    J = Jobbra egy lépés
# A következő program ezt a kódátalakítást kellene, hogy elvégezze, de a kódja még nincs teljesen kész.

# 1. Elemezd a következő program működését!
# 2. Egészítsd ki a hiányzó utasításokkal!

#!/usr/bin/env python3

regi_algoritmus  = ['2E','J','3H','4E','J','2E','B','3E','J','1H']

jo_eredmeny = ['LL', 'JJJ', 'BBBB', 'FF', 'BBB', 'L']

kezdo_irany      = 'L';
aktualis_irany   = kezdo_irany;
uj_algoritmus    = []

jobbra_fordul    = {'L': 'B', 'F': 'J', 'B': 'F', 'J': 'L'}
balra_fordul     = {'L': 'J', 'F': 'B', 'B': 'L', 'J': 'F'}
hatra_lep        = {'L': 'F', 'F': 'L', 'B': 'J', 'J': 'B'}

def fordulj_jobbra(akt_irany,utasit):
  uj_irany   = akt_irany
  for regi,uj in jobbra_fordul.items( ):
    if regi == akt_irany:
      uj_irany = akt_irany.replace(regi, uj)
  return uj_irany   
   
def menj_elore(akt_irany,utasit):
  uj_utasitas = int(utasit.replace('E', ''))
  kod         = ''
  for i in range(uj_utasitas):
    kod += akt_irany
  return kod
  
def menj_hatra(akt_irany,utasit):
  uj_utasitas = int(utasit.replace('H', ''))
  lepes_irany = ''
  kod         = ''
  for regi,uj in hatra_lep.items( ):
      if regi == akt_irany:
        lepes_irany = akt_irany.replace(regi, uj)
  for i in range(uj_utasitas):
    kod += lepes_irany
  return kod

for utasitas in regi_algoritmus:
  if utasitas == 'J':
    aktualis_irany = fordulj_jobbra(aktualis_irany,utasitas)
  elif utasitas.count('H')>0:
    uj_algoritmus.append(menj_hatra(aktualis_irany,utasitas))
  elif utasitas.count('E')>0:
    uj_algoritmus.append(menj_elore(aktualis_irany,utasitas))
  else:
    print('Hibás kód. Javításra vár.')

print('A kezdőirány:',kezdo_irany)
print('Az eredeti kód:',regi_algoritmus)
print('Az átalakított kód:',uj_algoritmus)
print('A jó eredmény:',jo_eredmeny)
