#!/usr/bin/env python3

def jó(állat):
    tojásrakó_fajok = ['kacsa', 'liba', 'kakas']
    if állat['faj'] in tojásrakó_fajok:
        print(állat['név'], állat['faj'], 'kétlábú, tehát rossz.')
        return False
    else:
        print(állat['név'], állat['faj'], 'négylábú, tehát jó.')
        return True

állatok = []

with open('allatok.txt') as forrásfájl:
    for sor in forrásfájl:
        sor = sor.strip().split()
        állat = {'név': sor[0], 'faj': sor[1], 'kor': int(sor[2])}
        állatok.append(állat)

jók = []
rosszak = []
for állat in állatok:
    if jó(állat):
        jók.append(állat['név'])
    else:
        rosszak.append(állat['név'])

print('Rosszak:', ', '.join(rosszak))
print('Jók:', ', '.join(jók))        
