#!/usr/bin/env python3

állatok = []

with open('allatok.txt') as forrásfájl:
    for sor in forrásfájl:
        sor = sor.strip().split()
        sor[-1] = int(sor[-1])
        állatok.append(sor)

nevek = []
for állat in állatok:
    if állat[1] in ['kutya', 'macska', 'kakas']:
        nevek.append(állat[0])

print('Kedvenceink ábécérendben:\n', '\n'.join(sorted(nevek)), sep='')

korok = []
kedvencek = []
for állat in állatok:
    if állat[1] in ['kutya', 'macska', 'kakas']:
        korok.append(állat[-1])
        kedvencek.append(állat)

korok.sort(reverse=True)

print('Kedvenceink kor szerint:')
for kor in korok:
    for kedvenc in kedvencek:
        if kor == kedvenc[-1]:
            print(kor, kedvenc[0])

