#!/usr/bin/env python3

állatok = []

with open('allatok.txt') as forrásfájl:
    for sor in forrásfájl:
        sor = sor.strip().split()
        sor[-1] = int(sor[-1])
        állatok.append(sor)

nevek = []
for állat in állatok:
    if állat[1] in ['kutya', 'macska', 'kakas']:
        nevek.append(állat[0])

print('Kedvenceink ábécérendben:\n', '\n'.join(sorted(nevek)), sep='')

kedvencek = [ állat for állat in állatok if állat[1] in ['kutya', 'macska', 'kakas'] ]
kedvencek.sort(key=lambda x: x[-1], reverse=True)
print('\n'.join([ kedvenc[0] for kedvenc in kedvencek ]))



