﻿# 1. Elemezd a program működését!
# 2. Készíts tagfüggvényt, amely visszaadja az első és második félév átlagai közötti különbséget! 
# 3. Írasd ki a képernyőre, hogy egy-egy tanuló mennyit javított vagy rontott a teljesítményén a második félévben!

#!/usr/bin/env python3

class Tanulo:
  def __init__(self, nev, osztaly, felev1, felev2):
    self.nev          = nev
    self.osztaly      = osztaly
    self.felev1jegyek = list(map(int, felev1.split()))
    self.felev2jegyek = list(map(int, felev2.split()))
    self.osszes_jegy  = self.felev1jegyek + self.felev2jegyek 
      
  def osztaly(self):
    return self.osztaly

  def atlag_1(self):
    return sum(self.felev1jegyek) / len(self.felev1jegyek)

  def atlag_ev(self):
    return sum(self.osszes_jegy) / len(self.osszes_jegy)
    
Tanulok = []
with open('matek_jegyek.txt') as forras:
  for sor in forras:
    sor = sor.strip().split(', ')
    tanulo = Tanulo(sor[0], sor[1], sor[2], sor[3])
    Tanulok.append(tanulo)
    
for tanulo in Tanulok:
  print(tanulo.nev)
  print(' Első félév átlaga:',tanulo.atlag_1())
  print(' Évvégi átlag:',tanulo.atlag_ev())