# 1. Elemezd a program működését!
# 2. Készíts tagfüggvényeket, amelyek visszaadják 
#   a. az éves nyereséget és 
#   b. a veszteséges hónapok számát!
# 3. Írasd ki a képernyőre az áruházak éves nyereségeit és a veszteséges hónapjaik számát!

#!/usr/bin/env python3

class Aruhaz:
  def __init__(self, nev, bev, kiad):
    self.nev       = nev
    self.bevetelek = list(map(int, bev.split()))
    self.kiadasok  = list(map(int, kiad.split()))

  def havibevetel(self,honap):
    return self.bevetelek[honap]

  def havikiadas(self,honap):
    return self.kiadasok[honap]

  def havinyereseg(self,honap):
    return self.havibevetel(honap) - self.havikiadas(honap)
     
Aruhazak = []
with open('havi_bevetel_kiadas.txt') as forras:
  for sor in forras:
    sor = sor.strip().split(', ')
    tanulo = Aruhaz(sor[0], sor[1], sor[2])
    Aruhazak.append(tanulo)
    
for bolt in Aruhazak:
  print()
  print(bolt.nev)
  for index in range(0,12):
    print(f'{index+1}. hónap')
    print(f' - Bevétel: {bolt.havibevetel(index)} eFt  Kiadás: {bolt.havikiadas(index)} eFt')
    print(f' - Nyereség: {bolt.havinyereseg(index)} eFt')