﻿# 1. Elemezd a program működését!
# 2. Módosítsd úgy a gombok sorrendjét, hogy az megegyezzen a számítógép numerikus billentyűzetén található számbillentyűk sorrendjével!
# 3. A gombok megnyomása után a "szoveg" nevű címkén jelenítsd meg a gombokon található számokat!

#!/usr/bin/env python3

import tkinter

class App():
  def __init__(self, master):
    self.szoveg = tkinter.Label(master, text='Nyomd meg a gombot!', pady=10)
    self.szoveg.pack() 
    self.gombok_keret = tkinter.Frame(master)
    self.gombok_keret.pack()
    self.gombokat_keszit()
    self.gombokat_megjelenit()

  def gombokat_keszit(self): 
    self.gombok = {}    
    for i in range(9):       
      self.gombok[i] = tkinter.Button(self.gombok_keret, text=str(i+1),  height=3, width=8, command='')
                                          
  def gombokat_megjelenit(self):
    gombok_ki = list(self.gombok)
    for sor in range(3):
      for oszlop in range(3):
        akt_gomb = gombok_ki.pop()
        self.gombok[akt_gomb].grid(row=sor, column=oszlop)

foablak = tkinter.Tk()
foablak.title('Gombok')
app = App(foablak)
foablak.mainloop()
